/* Games page media */
@media (max-width: 1870px) {
  .product-list {
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}

@media (max-width: 1560px) {
  .product-list {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}

@media (max-width: 1300px) {
  /* Shared layout */
  .games-header,
  .product-list {
    max-width: 1000px;
    width: var(--smaller-screen-width);
  }

  /* specific game page media*/
  .specififc-game-main {
    align-items: center;
    margin-top: 50px;
    margin-bottom: 0;
  }

  .thumbnail-section {
    display: none;
  }

  .slideshow-section {
    max-width: 450px;
    height: 480px;
  }

  .slides {
    width: 450px;
    height: 480px;
  }

  .game-title_paragraph {
    font-size: 0.9em;
    width: 300px;
  }
}

@media (max-width: 900px) {
  .product-list {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  /* specific game page media*/
  .specififc-game-main {
    flex-direction: column;
    height: auto;
    align-items: normal;
  }

  .slideshow-section {
    max-width: 500px;
    height: 520px;
  }

  .slides {
    width: 500px;
    height: 520px;
  }

  .text-section {
    margin: 0;
  }

  .game-title_paragraph {
    font-size: 0.9em;
    width: 500px;
  }

  .counter {
    margin: 0;
  }

  .button-area {
    display: flex;
    justify-content: space-between;
  }
}

@media (max-width: 600px) {
  .games-main h1 {
    font-size: 48px;
  }

  .games-header {
    flex-direction: column;
    gap: 40px;
    margin-top: 20px;
  }

  .product-list {
    grid-template-columns: repeat(1, minmax(0, 1fr));
    width: var(--mobile-screen-width);
    max-width: 400px;
  }

  .products h2 {
    font-size: 24px;
  }

  /* specific game page media*/
  .slideshow-section {
    max-width: 350px;
    height: 370px;
  }

  .slides {
    width: 350px;
    height: 370px;
  }

  .text-section {
    margin: 0;
  }

  .game-title_paragraph {
    font-size: 0.9em;
    width: 350px;
  }
}
